Index: /trunk/cmake-modules/FlairUseFile.cmake
===================================================================
--- /trunk/cmake-modules/FlairUseFile.cmake	(revision 43)
+++ /trunk/cmake-modules/FlairUseFile.cmake	(revision 44)
@@ -32,4 +32,9 @@
 	udt pthread cv cxcore highgui FileLib rt z
 )
+
+#auto select dependencies
+IF (FLAIR_USE_SIMULATOR)
+	SET(FLAIR_USE_VRPN TRUE)
+ENDIF (FLAIR_USE_SIMULATOR)
 
 #VRPN for motion capture
@@ -73,5 +78,4 @@
 		${CMAKE_SYSROOT}/usr/include/irrlicht
 		${FLAIR_DEV}/include/FlairSensorActuator
-		${CMAKE_SYSROOT}/usr/include/vrpn
 		)
 	
@@ -80,7 +84,7 @@
 		ADD_DEFINITIONS("-DGL")
 		SET(FLAIR_LIBRARIES ${FLAIR_LIBRARY_DIR}/libFlairSimulator_gl.a
-			 ${SIMU_LIBRARY} GL vrpn ${FLAIR_LIBRARIES} Irrlicht Xxf86vm)
+			 ${SIMU_LIBRARY} GL ${FLAIR_LIBRARIES} Irrlicht Xxf86vm)
 	else()
-		SET(FLAIR_LIBRARIES ${FLAIR_LIBRARY_DIR}/libFlairSimulator_nogl.a ${SIMU_LIBRARY} vrpn ${FLAIR_LIBRARIES})
+		SET(FLAIR_LIBRARIES ${FLAIR_LIBRARY_DIR}/libFlairSimulator_nogl.a ${SIMU_LIBRARY} ${FLAIR_LIBRARIES})
 	endif()
 ENDIF (FLAIR_USE_SIMULATOR)
Index: /trunk/cmake-modules/GlobalCmakeFlair.cmake
===================================================================
--- /trunk/cmake-modules/GlobalCmakeFlair.cmake	(revision 43)
+++ /trunk/cmake-modules/GlobalCmakeFlair.cmake	(revision 44)
@@ -62,5 +62,5 @@
 					string(REPLACE "/" "_" TARGET_PATH ${TARGET_EXECUTABLE_OUTPUT_PATH})#les / ne sont pas acceptés
 					add_custom_target(
-					    delivery_root@${ADDRESS}_${TARGET_PATH}_${ARGV0}
+					    delivery_root_${ADDRESS}_${TARGET_PATH}_${ARGV0}
 					    COMMAND make
 					    COMMAND scp ${EXECUTABLE_OUTPUT_PATH}/${ARGV0} root@${ADDRESS}:${TARGET_EXECUTABLE_OUTPUT_PATH}
Index: /trunk/doc/Flair/classflair_1_1core_1_1_framework_manager.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1core_1_1_framework_manager.js	(revision 43)
+++ /trunk/doc/Flair/classflair_1_1core_1_1_framework_manager.js	(revision 44)
@@ -8,4 +8,5 @@
     [ "SetupLogger", "classflair_1_1core_1_1_framework_manager.html#ac0b1886b695379518bfeff9142d32405", null ],
     [ "AddDeviceToLog", "classflair_1_1core_1_1_framework_manager.html#a9f2750ce913b492206761340c666bbb6", null ],
+    [ "IsDeviceLogged", "classflair_1_1core_1_1_framework_manager.html#aa426692b6ffdcacc35c34f0db87d53b7", null ],
     [ "StartLog", "classflair_1_1core_1_1_framework_manager.html#a1cbc5e8296c0f36551210e13251516ae", null ],
     [ "StopLog", "classflair_1_1core_1_1_framework_manager.html#a978aae4beac0c20dbbff73369ab6e31a", null ],
Index: /trunk/doc/Flair/classflair_1_1core_1_1_i_o_device.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1core_1_1_i_o_device.js	(revision 43)
+++ /trunk/doc/Flair/classflair_1_1core_1_1_i_o_device.js	(revision 44)
@@ -11,5 +11,4 @@
     [ "::IODevice_impl", "classflair_1_1core_1_1_i_o_device.html#a98e657a0de938e3819054ef6b02299c8", null ],
     [ "::Thread_impl", "classflair_1_1core_1_1_i_o_device.html#a8d4dacaaa8b2d282a4c38c48281387c7", null ],
-    [ "::FrameworkManager_impl", "classflair_1_1core_1_1_i_o_device.html#a85f53b6422522c0e6d8c02a3fda425e8", null ],
-    [ "lastUpdate", "classflair_1_1core_1_1_i_o_device.html#a5b701dbf27a7b1210bf7daf176e4e9b6", null ]
+    [ "::FrameworkManager_impl", "classflair_1_1core_1_1_i_o_device.html#a85f53b6422522c0e6d8c02a3fda425e8", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1meta_1_1_uav.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1meta_1_1_uav.js	(revision 43)
+++ /trunk/doc/Flair/classflair_1_1meta_1_1_uav.js	(revision 44)
@@ -17,4 +17,5 @@
     [ "GetVrpnObject", "classflair_1_1meta_1_1_uav.html#a89122af1ccaa5dd287a2a91999cea470", null ],
     [ "GetVerticalCamera", "classflair_1_1meta_1_1_uav.html#a715d1259e41867078cb9dcf8bebd404e", null ],
+    [ "GetHorizontalCamera", "classflair_1_1meta_1_1_uav.html#a03fdd9b52f7ffa4da19653ab7a598b29", null ],
     [ "SetBldc", "classflair_1_1meta_1_1_uav.html#ab6f21b4db412eccba2d16b914496a8e4", null ],
     [ "SetMultiplex", "classflair_1_1meta_1_1_uav.html#ae4d2df5677c51f4083b9f3d93e5d275f", null ],
@@ -22,4 +23,5 @@
     [ "SetUsRangeFinder", "classflair_1_1meta_1_1_uav.html#a455add1267f93f0f5ee6c40fc7e78e08", null ],
     [ "SetBatteryMonitor", "classflair_1_1meta_1_1_uav.html#adb32e59418a6bc3980c0aec829a5eb70", null ],
-    [ "SetVerticalCamera", "classflair_1_1meta_1_1_uav.html#ad96792706400e63bc6ab9281780285d4", null ]
+    [ "SetVerticalCamera", "classflair_1_1meta_1_1_uav.html#ad96792706400e63bc6ab9281780285d4", null ],
+    [ "SetHorizontalCamera", "classflair_1_1meta_1_1_uav.html#a78c1a1f0344c91f9aac4bb62f32714c3", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_camera.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_camera.js	(revision 43)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_camera.js	(revision 44)
@@ -1,4 +1,9 @@
 var classflair_1_1sensor_1_1_camera =
 [
+    [ "LogFormat", "classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5", [
+      [ "NONE", "classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5ab50339a10e1de285ac99d4c3990b8693", null ],
+      [ "RAW", "classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5a633d6abff0a3fc22404347728d195059", null ],
+      [ "JPG", "classflair_1_1sensor_1_1_camera.html#ac6f4c3e58d2822bba71da604544e63b5a92769fe7c40229f4301d6125e0a9e928", null ]
+    ] ],
     [ "Camera", "classflair_1_1sensor_1_1_camera.html#a0367c89fe729864229dcafe2ff10fb8a", null ],
     [ "Camera", "classflair_1_1sensor_1_1_camera.html#a2dbddbcfb399c7dae0de7b455a3b9d90", null ],
@@ -12,4 +17,6 @@
     [ "Output", "classflair_1_1sensor_1_1_camera.html#a5fc0cfac6604d60add2af054ea6e2afc", null ],
     [ "GetOutputDataType", "classflair_1_1sensor_1_1_camera.html#ab03cb2d9704584c179823201c1098b88", null ],
+    [ "SetLogFormat", "classflair_1_1sensor_1_1_camera.html#a5a8dd85868d1d300f29022acf4ed752e", null ],
+    [ "ProcessUpdate", "classflair_1_1sensor_1_1_camera.html#a668031aa8648f38eb980e51f641619c4", null ],
     [ "GetGroupBox", "classflair_1_1sensor_1_1_camera.html#ab23554ab7709e2069c7bbd298af82cca", null ],
     [ "output", "classflair_1_1sensor_1_1_camera.html#ae20e6de6e980f4c7d6b60d9174d8dd19", null ]
Index: /trunk/doc/Flair/classflair_1_1simulator_1_1_fixed_camera.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1simulator_1_1_fixed_camera.js	(revision 43)
+++ /trunk/doc/Flair/classflair_1_1simulator_1_1_fixed_camera.js	(revision 44)
@@ -1,5 +1,5 @@
 var classflair_1_1simulator_1_1_fixed_camera =
 [
-    [ "FixedCamera", "classflair_1_1simulator_1_1_fixed_camera.html#ae346521445d640a48a1b167de2e456f1", null ],
+    [ "FixedCamera", "classflair_1_1simulator_1_1_fixed_camera.html#ae3c185becc3aaea0b3cb31d9bd6a5238", null ],
     [ "~FixedCamera", "classflair_1_1simulator_1_1_fixed_camera.html#a948a61047e7affb9cdd5e528ec4fea29", null ],
     [ "animateNode", "classflair_1_1simulator_1_1_fixed_camera.html#a179bfa24ee9a02abbd733adecc776142", null ]
Index: /trunk/doc/Flair/files.js
===================================================================
--- /trunk/doc/Flair/files.js	(revision 43)
+++ /trunk/doc/Flair/files.js	(revision 44)
@@ -217,4 +217,7 @@
       [ "RTDM_SerialPort", "classflair_1_1core_1_1_r_t_d_m___serial_port.html", "classflair_1_1core_1_1_r_t_d_m___serial_port" ]
     ] ],
+    [ "Semaphore.h", "_semaphore_8h.html", [
+      [ "Semaphore", "classflair_1_1core_1_1_semaphore.html", "classflair_1_1core_1_1_semaphore" ]
+    ] ],
     [ "SendData.h", "_send_data_8h.html", [
       [ "SendData", "classflair_1_1gui_1_1_send_data.html", "classflair_1_1gui_1_1_send_data" ]
Index: /trunk/doc/Flair/hierarchy.js
===================================================================
--- /trunk/doc/Flair/hierarchy.js	(revision 43)
+++ /trunk/doc/Flair/hierarchy.js	(revision 44)
@@ -136,4 +136,5 @@
         ] ]
       ] ],
+      [ "flair::core::Semaphore", "classflair_1_1core_1_1_semaphore.html", null ],
       [ "flair::core::SerialPort", "classflair_1_1core_1_1_serial_port.html", [
         [ "flair::core::RTDM_SerialPort", "classflair_1_1core_1_1_r_t_d_m___serial_port.html", null ],
Index: /trunk/doc/Flair/namespaceflair_1_1core.js
===================================================================
--- /trunk/doc/Flair/namespaceflair_1_1core.js	(revision 43)
+++ /trunk/doc/Flair/namespaceflair_1_1core.js	(revision 44)
@@ -29,4 +29,5 @@
     [ "RTDM_SerialPort", "classflair_1_1core_1_1_r_t_d_m___serial_port.html", "classflair_1_1core_1_1_r_t_d_m___serial_port" ],
     [ "ScalarType", "classflair_1_1core_1_1_scalar_type.html", "classflair_1_1core_1_1_scalar_type" ],
+    [ "Semaphore", "classflair_1_1core_1_1_semaphore.html", "classflair_1_1core_1_1_semaphore" ],
     [ "SerialPort", "classflair_1_1core_1_1_serial_port.html", "classflair_1_1core_1_1_serial_port" ],
     [ "SharedMem", "classflair_1_1core_1_1_shared_mem.html", "classflair_1_1core_1_1_shared_mem" ],
Index: /trunk/doc/Flair/navtreedata.js
===================================================================
--- /trunk/doc/Flair/navtreedata.js	(revision 43)
+++ /trunk/doc/Flair/navtreedata.js	(revision 44)
@@ -31,11 +31,11 @@
 [
 "_afro_bldc_8h.html",
-"_vector3_ddata_8h.html",
-"classflair_1_1core_1_1_i_o_device.html#a8d4dacaaa8b2d282a4c38c48281387c7",
-"classflair_1_1core_1_1_vector3_d.html#abf242a58a3126477a930e34a7a9d6097",
-"classflair_1_1gui_1_1_check_box.html#ad542c13fc2280e2fc34ff291d444fb2b",
-"classflair_1_1meta_1_1_uav_state_machine.html#ac335dfcc3c91af9e59dc10d88c1da04f",
-"classflair_1_1sensor_1_1_target_controller.html#a677a1fd35d04b1ffd033206634c6c05e",
-"namespaceflair_1_1gui.html"
+"_vector3_d_spin_box_8h.html",
+"classflair_1_1core_1_1_i_o_device.html#a75e82ca2ae2fb7c39d973dd3d16bc698",
+"classflair_1_1core_1_1_vector3_d.html#a6f35427a9d3ceac38b7fd288bb9ddde8",
+"classflair_1_1gui_1_1_box.html#a3d1e4e81c7c59a051368a346a104c988",
+"classflair_1_1meta_1_1_uav_state_machine.html#a9340da0cfbec2e72f323e51a43ae0b19",
+"classflair_1_1sensor_1_1_switch_led_message.html#aed2d41c6c992f87ce759549c690fe905",
+"io__data_8h.html#a4ca29f33fc446a0d6c6fd314c78069b3"
 ];
 
Index: /trunk/doc/Flair/navtreeindex0.js
===================================================================
--- /trunk/doc/Flair/navtreeindex0.js	(revision 43)
+++ /trunk/doc/Flair/navtreeindex0.js	(revision 44)
@@ -161,93 +161,93 @@
 "_rotation_matrix_8h.html":[2,0,79],
 "_rotation_matrix_8h_source.html":[2,0,79],
-"_send_data_8h.html":[2,0,82],
-"_send_data_8h_source.html":[2,0,82],
-"_sensor_g_l_8h_source.html":[2,0,83],
-"_serial_port_8h.html":[2,0,84],
-"_serial_port_8h_source.html":[2,0,84],
-"_shared_mem_8h.html":[2,0,85],
-"_shared_mem_8h_source.html":[2,0,85],
-"_simu_ahrs_8h.html":[2,0,86],
-"_simu_ahrs_8h_source.html":[2,0,86],
-"_simu_bldc_8h.html":[2,0,87],
-"_simu_bldc_8h_source.html":[2,0,87],
-"_simu_camera_8h.html":[2,0,88],
-"_simu_camera_8h_source.html":[2,0,88],
-"_simu_camera_g_l_8h.html":[2,0,89],
-"_simu_camera_g_l_8h.html#a120fb070bddb21f0bd899f50252c4cb5":[2,0,89,1],
-"_simu_camera_g_l_8h_source.html":[2,0,89],
-"_simu_gps_8h.html":[2,0,90],
-"_simu_gps_8h_source.html":[2,0,90],
-"_simu_imu_8h.html":[2,0,91],
-"_simu_imu_8h_source.html":[2,0,91],
-"_simu_laser_8h_source.html":[2,0,92],
-"_simu_laser_g_l_8h_source.html":[2,0,93],
-"_simu_us_8h.html":[2,0,95],
-"_simu_us_8h_source.html":[2,0,95],
-"_simu_us_g_l_8h.html":[2,0,96],
-"_simu_us_g_l_8h_source.html":[2,0,96],
-"_simu_x4_8h.html":[2,0,97],
-"_simu_x4_8h_source.html":[2,0,97],
-"_simu_x8_8h.html":[2,0,98],
-"_simu_x8_8h_source.html":[2,0,98],
-"_simulator_8h_source.html":[2,0,94],
-"_socket_8h.html":[2,0,99],
-"_socket_8h_source.html":[2,0,99],
-"_spin_box_8h.html":[2,0,100],
-"_spin_box_8h_source.html":[2,0,100],
-"_srf08_8h.html":[2,0,101],
-"_srf08_8h_source.html":[2,0,101],
-"_tab_8h.html":[2,0,102],
-"_tab_8h_source.html":[2,0,102],
-"_tab_widget_8h.html":[2,0,103],
-"_tab_widget_8h_source.html":[2,0,103],
-"_target_controller_8h_source.html":[2,0,104],
-"_target_eth_controller_8h_source.html":[2,0,105],
-"_tcp_socket_8h.html":[2,0,106],
-"_tcp_socket_8h_source.html":[2,0,106],
-"_text_edit_8h.html":[2,0,107],
-"_text_edit_8h_source.html":[2,0,107],
-"_thread_8h.html":[2,0,108],
-"_thread_8h_source.html":[2,0,108],
-"_trajectory_generator1_d_8h.html":[2,0,109],
-"_trajectory_generator1_d_8h_source.html":[2,0,109],
-"_trajectory_generator2_d_circle_8h.html":[2,0,110],
-"_trajectory_generator2_d_circle_8h_source.html":[2,0,110],
-"_uav_8h.html":[2,0,111],
-"_uav_8h_source.html":[2,0,111],
-"_uav_factory_8h_source.html":[2,0,112],
-"_uav_multiplex_8h.html":[2,0,113],
-"_uav_multiplex_8h_source.html":[2,0,113],
-"_uav_state_machine_8h_source.html":[2,0,114],
-"_udt_socket_8h.html":[2,0,115],
-"_udt_socket_8h.html#a1271a7ac7e1dd35a9765f73aba412eb8":[2,0,115,1],
-"_udt_socket_8h_source.html":[2,0,115],
-"_unix___i2c_port_8h.html":[2,0,116],
-"_unix___i2c_port_8h_source.html":[2,0,116],
-"_unix___serial_port_8h.html":[2,0,117],
-"_unix___serial_port_8h_source.html":[2,0,117],
-"_us_range_finder_8h.html":[2,0,118],
-"_us_range_finder_8h_source.html":[2,0,118],
-"_v4_l_camera_8h.html":[2,0,119],
-"_v4_l_camera_8h_source.html":[2,0,119],
-"_vector2_d_8h.html":[2,0,120],
-"_vector2_d_8h.html#a2701e2f2b64dcf867078a3fd2e01ec9f":[2,0,120,5],
-"_vector2_d_8h.html#a36ec6f59d72394edcd8de9ab2cb50fa7":[2,0,120,3],
-"_vector2_d_8h.html#a601f3ca18a9e417dc2bb7d8eb2db7b42":[2,0,120,2],
-"_vector2_d_8h.html#a6d9cfe0404b2d0f59598ede6cad5b036":[2,0,120,4],
-"_vector2_d_8h.html#ada20416deb1802b5f5deddb85f02b6ed":[2,0,120,1],
-"_vector2_d_8h_source.html":[2,0,120],
-"_vector3_d_8h.html":[2,0,121],
-"_vector3_d_8h.html#a02ef876816209fff2d79cb1d79ccff84":[2,0,121,6],
-"_vector3_d_8h.html#a09c909db6a634147cc63ebd2aea5a2d2":[2,0,121,5],
-"_vector3_d_8h.html#a0eaa0f510f506d44345e82acd65e9b86":[2,0,121,9],
-"_vector3_d_8h.html#a25508af0e609e676205a68f528b72f7c":[2,0,121,3],
-"_vector3_d_8h.html#a449cfa3fbd1852d5718a835112f6957e":[2,0,121,7],
-"_vector3_d_8h.html#a4e3e0c05a548ad880197a0f90cb68305":[2,0,121,8],
-"_vector3_d_8h.html#a6445af2cc5145fc68833d6257072bcb5":[2,0,121,1],
-"_vector3_d_8h.html#a8aa5ce31a59d8c9679ea46f08cd09bda":[2,0,121,4],
-"_vector3_d_8h.html#aa699543f49850bdc5a3707ae6f768907":[2,0,121,2],
-"_vector3_d_8h_source.html":[2,0,121],
-"_vector3_d_spin_box_8h.html":[2,0,123],
-"_vector3_d_spin_box_8h_source.html":[2,0,123]
+"_semaphore_8h.html":[2,0,82],
+"_semaphore_8h_source.html":[2,0,82],
+"_send_data_8h.html":[2,0,83],
+"_send_data_8h_source.html":[2,0,83],
+"_sensor_g_l_8h_source.html":[2,0,84],
+"_serial_port_8h.html":[2,0,85],
+"_serial_port_8h_source.html":[2,0,85],
+"_shared_mem_8h.html":[2,0,86],
+"_shared_mem_8h_source.html":[2,0,86],
+"_simu_ahrs_8h.html":[2,0,87],
+"_simu_ahrs_8h_source.html":[2,0,87],
+"_simu_bldc_8h.html":[2,0,88],
+"_simu_bldc_8h_source.html":[2,0,88],
+"_simu_camera_8h.html":[2,0,89],
+"_simu_camera_8h_source.html":[2,0,89],
+"_simu_camera_g_l_8h.html":[2,0,90],
+"_simu_camera_g_l_8h.html#a120fb070bddb21f0bd899f50252c4cb5":[2,0,90,1],
+"_simu_camera_g_l_8h_source.html":[2,0,90],
+"_simu_gps_8h.html":[2,0,91],
+"_simu_gps_8h_source.html":[2,0,91],
+"_simu_imu_8h.html":[2,0,92],
+"_simu_imu_8h_source.html":[2,0,92],
+"_simu_laser_8h_source.html":[2,0,93],
+"_simu_laser_g_l_8h_source.html":[2,0,94],
+"_simu_us_8h.html":[2,0,96],
+"_simu_us_8h_source.html":[2,0,96],
+"_simu_us_g_l_8h.html":[2,0,97],
+"_simu_us_g_l_8h_source.html":[2,0,97],
+"_simu_x4_8h.html":[2,0,98],
+"_simu_x4_8h_source.html":[2,0,98],
+"_simu_x8_8h.html":[2,0,99],
+"_simu_x8_8h_source.html":[2,0,99],
+"_simulator_8h_source.html":[2,0,95],
+"_socket_8h.html":[2,0,100],
+"_socket_8h_source.html":[2,0,100],
+"_spin_box_8h.html":[2,0,101],
+"_spin_box_8h_source.html":[2,0,101],
+"_srf08_8h.html":[2,0,102],
+"_srf08_8h_source.html":[2,0,102],
+"_tab_8h.html":[2,0,103],
+"_tab_8h_source.html":[2,0,103],
+"_tab_widget_8h.html":[2,0,104],
+"_tab_widget_8h_source.html":[2,0,104],
+"_target_controller_8h_source.html":[2,0,105],
+"_target_eth_controller_8h_source.html":[2,0,106],
+"_tcp_socket_8h.html":[2,0,107],
+"_tcp_socket_8h_source.html":[2,0,107],
+"_text_edit_8h.html":[2,0,108],
+"_text_edit_8h_source.html":[2,0,108],
+"_thread_8h.html":[2,0,109],
+"_thread_8h_source.html":[2,0,109],
+"_trajectory_generator1_d_8h.html":[2,0,110],
+"_trajectory_generator1_d_8h_source.html":[2,0,110],
+"_trajectory_generator2_d_circle_8h.html":[2,0,111],
+"_trajectory_generator2_d_circle_8h_source.html":[2,0,111],
+"_uav_8h.html":[2,0,112],
+"_uav_8h_source.html":[2,0,112],
+"_uav_factory_8h_source.html":[2,0,113],
+"_uav_multiplex_8h.html":[2,0,114],
+"_uav_multiplex_8h_source.html":[2,0,114],
+"_uav_state_machine_8h_source.html":[2,0,115],
+"_udt_socket_8h.html":[2,0,116],
+"_udt_socket_8h.html#a1271a7ac7e1dd35a9765f73aba412eb8":[2,0,116,1],
+"_udt_socket_8h_source.html":[2,0,116],
+"_unix___i2c_port_8h.html":[2,0,117],
+"_unix___i2c_port_8h_source.html":[2,0,117],
+"_unix___serial_port_8h.html":[2,0,118],
+"_unix___serial_port_8h_source.html":[2,0,118],
+"_us_range_finder_8h.html":[2,0,119],
+"_us_range_finder_8h_source.html":[2,0,119],
+"_v4_l_camera_8h.html":[2,0,120],
+"_v4_l_camera_8h_source.html":[2,0,120],
+"_vector2_d_8h.html":[2,0,121],
+"_vector2_d_8h.html#a2701e2f2b64dcf867078a3fd2e01ec9f":[2,0,121,5],
+"_vector2_d_8h.html#a36ec6f59d72394edcd8de9ab2cb50fa7":[2,0,121,3],
+"_vector2_d_8h.html#a601f3ca18a9e417dc2bb7d8eb2db7b42":[2,0,121,2],
+"_vector2_d_8h.html#a6d9cfe0404b2d0f59598ede6cad5b036":[2,0,121,4],
+"_vector2_d_8h.html#ada20416deb1802b5f5deddb85f02b6ed":[2,0,121,1],
+"_vector2_d_8h_source.html":[2,0,121],
+"_vector3_d_8h.html":[2,0,122],
+"_vector3_d_8h.html#a02ef876816209fff2d79cb1d79ccff84":[2,0,122,6],
+"_vector3_d_8h.html#a09c909db6a634147cc63ebd2aea5a2d2":[2,0,122,5],
+"_vector3_d_8h.html#a0eaa0f510f506d44345e82acd65e9b86":[2,0,122,9],
+"_vector3_d_8h.html#a25508af0e609e676205a68f528b72f7c":[2,0,122,3],
+"_vector3_d_8h.html#a449cfa3fbd1852d5718a835112f6957e":[2,0,122,7],
+"_vector3_d_8h.html#a4e3e0c05a548ad880197a0f90cb68305":[2,0,122,8],
+"_vector3_d_8h.html#a6445af2cc5145fc68833d6257072bcb5":[2,0,122,1],
+"_vector3_d_8h.html#a8aa5ce31a59d8c9679ea46f08cd09bda":[2,0,122,4],
+"_vector3_d_8h.html#aa699543f49850bdc5a3707ae6f768907":[2,0,122,2],
+"_vector3_d_8h_source.html":[2,0,122]
 };
Index: /trunk/doc/Flair/navtreeindex1.js
===================================================================
--- /trunk/doc/Flair/navtreeindex1.js	(revision 43)
+++ /trunk/doc/Flair/navtreeindex1.js	(revision 44)
@@ -1,23 +1,25 @@
 var NAVTREEINDEX1 =
 {
-"_vector3_ddata_8h.html":[2,0,122],
-"_vector3_ddata_8h_source.html":[2,0,122],
-"_visualization_camera_8h_source.html":[2,0,124],
-"_vrpn_client_8h.html":[2,0,125],
-"_vrpn_client_8h_source.html":[2,0,125],
-"_vrpn_object_8h.html":[2,0,126],
-"_vrpn_object_8h_source.html":[2,0,126],
-"_watchdog_8h.html":[2,0,127],
-"_watchdog_8h_source.html":[2,0,127],
-"_widget_8h.html":[2,0,128],
-"_widget_8h_source.html":[2,0,128],
-"_x4_8h_source.html":[2,0,129],
-"_x4_x8_multiplex_8h.html":[2,0,130],
-"_x4_x8_multiplex_8h_source.html":[2,0,130],
-"_x8_8h_source.html":[2,0,131],
-"_x_air_8h.html":[2,0,132],
-"_x_air_8h_source.html":[2,0,132],
-"_x_bldc_8h.html":[2,0,133],
-"_x_bldc_8h_source.html":[2,0,133],
+"_vector3_d_spin_box_8h.html":[2,0,124],
+"_vector3_d_spin_box_8h_source.html":[2,0,124],
+"_vector3_ddata_8h.html":[2,0,123],
+"_vector3_ddata_8h_source.html":[2,0,123],
+"_visualization_camera_8h_source.html":[2,0,125],
+"_vrpn_client_8h.html":[2,0,126],
+"_vrpn_client_8h_source.html":[2,0,126],
+"_vrpn_object_8h.html":[2,0,127],
+"_vrpn_object_8h_source.html":[2,0,127],
+"_watchdog_8h.html":[2,0,128],
+"_watchdog_8h_source.html":[2,0,128],
+"_widget_8h.html":[2,0,129],
+"_widget_8h_source.html":[2,0,129],
+"_x4_8h_source.html":[2,0,130],
+"_x4_x8_multiplex_8h.html":[2,0,131],
+"_x4_x8_multiplex_8h_source.html":[2,0,131],
+"_x8_8h_source.html":[2,0,132],
+"_x_air_8h.html":[2,0,133],
+"_x_air_8h_source.html":[2,0,133],
+"_x_bldc_8h.html":[2,0,134],
+"_x_bldc_8h_source.html":[2,0,134],
 "annotated.html":[1,0],
 "classes.html":[1,1],
@@ -162,17 +164,18 @@
 "classflair_1_1core_1_1_float_type.html#a9fc860cea845c2f8eec84b176c1847e4":[1,0,0,1,10,0],
 "classflair_1_1core_1_1_framework_manager.html":[1,0,0,1,11],
-"classflair_1_1core_1_1_framework_manager.html#a1cbc5e8296c0f36551210e13251516ae":[1,0,0,1,11,7],
-"classflair_1_1core_1_1_framework_manager.html#a311fa9be9c08b037cae24061e85307d1":[1,0,0,1,11,12],
-"classflair_1_1core_1_1_framework_manager.html#a477b3cee8fa2c2338896006faaeefe42":[1,0,0,1,11,15],
+"classflair_1_1core_1_1_framework_manager.html#a1cbc5e8296c0f36551210e13251516ae":[1,0,0,1,11,8],
+"classflair_1_1core_1_1_framework_manager.html#a311fa9be9c08b037cae24061e85307d1":[1,0,0,1,11,13],
+"classflair_1_1core_1_1_framework_manager.html#a477b3cee8fa2c2338896006faaeefe42":[1,0,0,1,11,16],
 "classflair_1_1core_1_1_framework_manager.html#a528ab69c3a850237007a074732d9fa85":[1,0,0,1,11,3],
 "classflair_1_1core_1_1_framework_manager.html#a536f78b53e6f4890120b1312aa3c7b88":[1,0,0,1,11,2],
-"classflair_1_1core_1_1_framework_manager.html#a65eff6c3651dafddc2dd55c3cab281b4":[1,0,0,1,11,9],
-"classflair_1_1core_1_1_framework_manager.html#a69e12f51081a3d58876553d9858ea1bd":[1,0,0,1,11,14],
-"classflair_1_1core_1_1_framework_manager.html#a6ed9bdb73288176aa58269f8a520d58c":[1,0,0,1,11,10],
-"classflair_1_1core_1_1_framework_manager.html#a845ac3ad0cbc95d71e50277d9e8093a1":[1,0,0,1,11,13],
+"classflair_1_1core_1_1_framework_manager.html#a65eff6c3651dafddc2dd55c3cab281b4":[1,0,0,1,11,10],
+"classflair_1_1core_1_1_framework_manager.html#a69e12f51081a3d58876553d9858ea1bd":[1,0,0,1,11,15],
+"classflair_1_1core_1_1_framework_manager.html#a6ed9bdb73288176aa58269f8a520d58c":[1,0,0,1,11,11],
+"classflair_1_1core_1_1_framework_manager.html#a845ac3ad0cbc95d71e50277d9e8093a1":[1,0,0,1,11,14],
 "classflair_1_1core_1_1_framework_manager.html#a8f3989b0199826a913f352cc1e26f86b":[1,0,0,1,11,4],
-"classflair_1_1core_1_1_framework_manager.html#a978aae4beac0c20dbbff73369ab6e31a":[1,0,0,1,11,8],
+"classflair_1_1core_1_1_framework_manager.html#a978aae4beac0c20dbbff73369ab6e31a":[1,0,0,1,11,9],
 "classflair_1_1core_1_1_framework_manager.html#a9f2750ce913b492206761340c666bbb6":[1,0,0,1,11,6],
-"classflair_1_1core_1_1_framework_manager.html#aa1b6474b3972665d20c706ff89965271":[1,0,0,1,11,11],
+"classflair_1_1core_1_1_framework_manager.html#aa1b6474b3972665d20c706ff89965271":[1,0,0,1,11,12],
+"classflair_1_1core_1_1_framework_manager.html#aa426692b6ffdcacc35c34f0db87d53b7":[1,0,0,1,11,7],
 "classflair_1_1core_1_1_framework_manager.html#aa97c7fbaba572aa856d23c416f3b74e4":[1,0,0,1,11,1],
 "classflair_1_1core_1_1_framework_manager.html#ac0b1886b695379518bfeff9142d32405":[1,0,0,1,11,5],
@@ -247,7 +250,4 @@
 "classflair_1_1core_1_1_i_o_device.html#a12d811c6926fb86da6b47f889109da66":[1,0,0,1,18,4],
 "classflair_1_1core_1_1_i_o_device.html#a2e0b7af75abdbf39843d8bf2e45f08b9":[1,0,0,1,18,3],
-"classflair_1_1core_1_1_i_o_device.html#a3df9057ae23eb34f1b1dae8e7a4a9efc":[1,0,0,1,18,7],
-"classflair_1_1core_1_1_i_o_device.html#a5b701dbf27a7b1210bf7daf176e4e9b6":[1,0,0,1,18,11],
-"classflair_1_1core_1_1_i_o_device.html#a75e82ca2ae2fb7c39d973dd3d16bc698":[1,0,0,1,18,5],
-"classflair_1_1core_1_1_i_o_device.html#a85f53b6422522c0e6d8c02a3fda425e8":[1,0,0,1,18,10]
+"classflair_1_1core_1_1_i_o_device.html#a3df9057ae23eb34f1b1dae8e7a4a9efc":[1,0,0,1,18,7]
 };
